<div class="container">
    <h2>Detail Pembayaran Purchase Orders - {{nopo}}</h2>
    <div class="ui-g-12" style="background-color: white;">
        <div class="ui-g-6">
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <label class="form-control-label" for="field_Tipe">Uang Muka</label>
                </div>
                <div class="ui-g-4">
                    <input currencyMask class="form-control" name="uangmuka" id="field_uangmuka"
                        [(ngModel)]="purchasing.uangmuka"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                </div>
                <!-- <div class="ui-g-4" *ngIf="purchasing.uangmuka > 0">
                    <button pButton type="submit" label="To DownPayment" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="toDP()">
                    </button>
                </div> -->
            </div>
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <label class="form-control-label" for="field_Tipe">Down Payment</label>
                </div>
                <div class="ui-g-8">
                    <input currencyMask class="form-control" name="downpayment" id="field_downpayment"
                        [(ngModel)]="purchasing.downpayment"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                </div>
            </div>
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <label class="form-control-label" for="field_Tipe">Payment</label>
                </div>
                <div class="ui-g-8">
                    <input currencyMask class="form-control" name="payment" id="field_payment"
                        [(ngModel)]="purchasing.payment"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                </div>
            </div>
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <label class="form-control-label" for="field_Tipe">Total PO</label>
                </div>
                <div class="ui-g-8">
                    <input currencyMask class="form-control" name="payment" id="field_payment"
                        [(ngModel)]="purchasing.totalprice"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
                </div>
            </div>
        </div>
        <div class="ui-g-6" *ngIf="nopo">
            <jhi-payment-by-purchasing [noPO]="nopo"></jhi-payment-by-purchasing>
        </div>
        <div class="ui-g-12" *ngIf="payment">
            <div *ngIf="purchasing && purchasing.uangmuka > 0">
                <jhi-invoice-um-po 
                [purchasing]="purchasing"
                [payment]="payment"
                [taxinvno]="purchasing.nopurchasing"
                [invno]="purchasing.nopurchasing"
                [paytipe]="paytipe"
                [nopo]="nopo"
                [idpay]="idpay"></jhi-invoice-um-po>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="btn-group flex-btn-group-container"></div>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                    (click)="previousState()">
                </button>
            </div>
        </div>
    </div>
</div>